# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
from django.utils.translation import ugettext as _
from django.http import HttpResponse
from django.utils import simplejson
from project.view import RootView, MenuView, StatusView


class MenuView(MenuView):
    pass


class SystemBackupStatusView(StatusView):
#    STATUS_FILE_PATH = "/mnt/data/conf/backup/status/backup_s1"

    def _status(self):
        try:
            from project.fal.backups import Backups
            return {
                'NOT_EXEC': _(u'Not Execute'),
                'STOP': _(u'Stop'),
                'ABORT': _(u'Abort'),
                'COMPLETE': _(u'Complete'),
                'PROCESSING': _(u'Processing'),
                'QUEUE': _(u'Waiting'),
            }.get(Backups().query()['backup']['s1']['status'], '')
        except:
            return ''


class SystemBackupRunningView(RootView):

    def view(self, request):
        running = True
        try:
            from project.fal.backups import Backups
            status = Backups().query()['backup']['s1']['status']
            running =  status in ['PROCESSING', 'QUEUE']
        except:
            pass
        return {
            self.KEY_RESPONSE: HttpResponse(
                    simplejson.dumps({'running': running}),
                    mimetype="application/json;charset=UTF-8;"),
        }
